# Generated from newrelic-moped-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name newrelic-moped

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: New Relic instrumentation for Moped
License: MIT
URL: http://github.com/joinwire/newrelic-moped
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
BuildArch: noarch

%description
Adds support for recording database operations in your web transactions. It
does not add data
to the Database view in New Relic, nor instrument Active Record activity. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/newrelic-moped.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.5-1
- Initial package
